# $Revision: 1.14 $, $Date: 2011/06/14 07:17:10 $
Summary:	GNOME compiz manager
Summary(pl.UTF-8):	Zarządca compiza dla GNOME
Name:		gnome-compiz-manager
Version:	0.10.4
Release:	8
License:	LGPL v2.1+ (library), GPL v2+ (the rest)
Group:		X11/Applications
Source0:	http://download.gna.org/gcm/gnome-compiz-manager/%{name}-%{version}.tar.gz
# Source0-md5:	654041b7bf9869e7d1724cb90739cdef
URL:		http://gandalfn.wordpress.com/
BuildRequires:	gettext-devel
BuildRequires:	gnome-desktop-devel >= 2.0
BuildRequires:	gob2 >= 2.0.14
BuildRequires:	gtk+2-devel >= 2:2.10
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	librsvg-devel >= 2.0
BuildRequires:	libwnck-devel >= 1.0
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME compiz manager is small utility, which manage GL Desktop
configuration on XGL/AIGLX.

%description -l pl.UTF-8
GNOME compiz manager jest małym narzędziem zarządzającym konfiguracją
pulpitu GL na XGL/AIGLX.

%package libs
Summary:	Libraries for GNOME Compiz manager
Summary(pl.UTF-8):	Pliki bibliotek dla GNOME Compiz managera
License:	LGPL v2.1+ (library), GPL v2+ (plugins)
Group:		Libraries
Requires:	gtk+2 >= 2:2.10

%description libs
Libraries for GNOME Compiz manager.

%description libs -l pl.UTF-8
Pliki bibliotek dla GNOME Compiz managera.

%package devel
Summary:	Header files for GNOME Compiz manager library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GNOME Compiz managera
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gnome-desktop-devel >= 2.0
Requires:	gtk+2-devel >= 2:2.10
Requires:	libgnomeui-devel >= 2.0
Requires:	librsvg-devel >= 2.0
Requires:	libwnck-devel >= 1.0

%description devel
Header files for GNOME Compiz manager library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GNOME Compiz managera.

%package static
Summary:	Static library for GNOME Compiz manager
Summary(pl.UTF-8):	Plik biblioteki statycznej GNOME Compiz managera
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library for GNOME Compiz managera.

%description static -l pl.UTF-8
Plik biblioteki statycznej dla GNOME Compiz manager.

%prep
%setup -q

%build
%configure \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gnome-compiz-preferences.schemas

%preun
%gconf_schema_uninstall gnome-compiz-preferences.schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gnome-compiz-preferences.schemas
%attr(755,root,root) %{_bindir}/compiz-tray-icon
%attr(755,root,root) %{_bindir}/gnome-compiz-preferences
%{_libdir}/%{name}/gcp-page-*.plugin
%{_datadir}/%{name}
%{_desktopdir}/gnome-compiz-preferences.desktop
%{_mandir}/man1/compiz-tray-icon.1*
%{_mandir}/man1/gnome-compiz-preferences.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-compiz-manager.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-compiz-manager.so.0
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libgcp_page_*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-compiz-manager.so
%{_libdir}/libgnome-compiz-manager.la
%{_includedir}/%{name}
%{_pkgconfigdir}/%{name}.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnome-compiz-manager.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-compiz-manager.spec,v $
Revision 1.14  2011/06/14 07:17:10  lisu
- rel 8

Revision 1.13  2010/08/25 11:32:37  hawk
- release 7

Revision 1.12  2010/06/06 16:08:07  hawk
- release 6

Revision 1.11  2010/03/14 01:02:12  sparky
- BR: gettext-devel, perl-XML-Parser

Revision 1.10  2010/03/04 12:15:16  hawk
- release 5

Revision 1.9  2009/06/21 14:58:08  hawk
- release 4

Revision 1.8  2009/05/15 13:21:16  hawk
- release 3

Revision 1.7  2008/12/07 12:30:49  hawk
- release 2

Revision 1.6  2008/10/21 12:17:36  hawk
- release 1

Revision 1.5  2008-01-13 00:03:05  qboosh
- further files and license cleanup

Revision 1.4  2008-01-12 23:50:58  qboosh
- cleanup

Revision 1.3  2007-11-07 20:12:39  wolvverine
- add lost files

Revision 1.2  2007/09/12 17:04:38  aflinta
 - some fixes

Revision 1.1  2007/09/11 17:16:23  wolvverine
- init
